global_costmap:
  global_frame: odom #map
  robot_base_frame: base_footprint
  update_frequency: 1.0
  publish_frequency: 0.5
  static_map: false
  rolling_window: true
  width: 10
  height: 10
  resolution: 0.2
  transform_tolerance: 0.3
  always_send_full_costmap: true
  plugins:
    - {name: rgbd_obstacle_layer,     type: "spatio_temporal_voxel_layer/SpatioTemporalVoxelLayer"}
    - {name: inflation_layer,   type: "costmap_2d::InflationLayer"}

inflation_layer:
  inflation_layer: 3
  cost_scaling_factory: 3


# global_costmap:
#   global_costmap:
#     ros__parameters:
#       global_frame: odom
#       robot_base_frame: base_footprint
#       update_frequency: 1.0
#       publish_frequency: 0.5
#       static_map: true
#       transform_tolerance: 0.5
#       resolution: 0.05 # overwritten by static map resolution
#       plugins:
#         - {name: rgbd_obstacle_layer,     type: "spatio_temporal_voxel_layer/SpatioTemporalVoxelLayer"}